import { Subscription } from "./Subscription.js";
export declare class EventRegister {
    private m_events;
    constructor();
    private get events();
    publish(eventType: string, data?: any): void;
    subscribe(eventType: any, callback: Function): Subscription;
    private exists;
    private add;
    private remove;
    private get;
}
